/* CSS Document
<i class="k-spinner--spin"></i>
<i class="k-spinner--pulse"></i>
<i class="k-spinner--swirl"></i>
<i class="k-spinner--signal"></i>
*/
.k-spinner--spin{display:inline-block;color:#fff;font-size:64px;position:relative;width:1em;height:1em;border-radius:50%;background-image:radial-gradient(circle at center,transparent 52%,currentColor 54%,currentColor 65%,transparent 67%);background-repeat:no-repeat;animation-name:k-spin;animation-timing-function:linear;animation-duration:6s;animation-delay:-.5s;animation-iteration-count:infinite}
@keyframes k-spin{
	0%{clip-path:polygon(50% 50%,83% 12%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(0deg)}0.85733%{clip-path:polygon(50% 50%,91.5% 27.5%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(12.85714deg)}1.57799%{clip-path:polygon(50% 50%,100% 43%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(25.71429deg)}2.19752%{clip-path:polygon(50% 50%,97% 60.5%,97% 60.5%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(38.57143deg)}2.75146%{clip-path:polygon(50% 50%,94% 78%,94% 78%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(51.42857deg)}3.27533%{clip-path:polygon(50% 50%,81% 89%,81% 89%,81% 89%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(64.28571deg)}3.80466%{clip-path:polygon(50% 50%,68% 100%,68% 100%,68% 100%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(77.14286deg)}4.375%{clip-path:polygon(50% 50%,50% 100%,50% 100%,50% 100%,50% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(90deg)}5.02187%{clip-path:polygon(50% 50%,32% 100%,32% 100%,32% 100%,32% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(102.85714deg)}5.78079%{clip-path:polygon(50% 50%,19% 89%,19% 89%,19% 89%,19% 89%,19% 89%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(115.71429deg)}6.68732%{clip-path:polygon(50% 50%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(128.57143deg)}7.77697%{clip-path:polygon(50% 50%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,0 43%,17% 12%,33.5% 6%);transform:rotate(141.42857deg)}9.08528%{clip-path:polygon(50% 50%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,17% 12%,33.5% 6%);transform:rotate(154.28571deg)}10.64778%{clip-path:polygon(50% 50%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,17% 12%,33.5% 6%);transform:rotate(167.14286deg)}12.5%{clip-path:polygon(50% 50%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,33.5% 6%);transform:rotate(180deg)}13.35733%{clip-path:polygon(50% 50%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,17% 12%,33.5% 6%);transform:rotate(212.14286deg)}14.07799%{clip-path:polygon(50% 50%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,17% 12%,33.5% 6%);transform:rotate(244.28571deg)}14.69752%{clip-path:polygon(50% 50%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,0 43%,17% 12%,33.5% 6%);transform:rotate(276.42857deg)}15.25146%{clip-path:polygon(50% 50%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(308.57143deg)}15.77533%{clip-path:polygon(50% 50%,19% 89%,19% 89%,19% 89%,19% 89%,19% 89%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(340.71429deg)}16.30466%{clip-path:polygon(50% 50%,32% 100%,32% 100%,32% 100%,32% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(372.85714deg)}16.875%{clip-path:polygon(50% 50%,50% 100%,50% 100%,50% 100%,50% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(405deg)}17.52187%{clip-path:polygon(50% 50%,68% 100%,68% 100%,68% 100%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(437.14286deg)}18.28079%{clip-path:polygon(50% 50%,81% 89%,81% 89%,81% 89%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(469.28571deg)}19.18732%{clip-path:polygon(50% 50%,94% 78%,94% 78%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(501.42857deg)}20.27697%{clip-path:polygon(50% 50%,97% 60.5%,97% 60.5%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(533.57143deg)}21.58528%{clip-path:polygon(50% 50%,100% 43%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(565.71429deg)}23.14778%{clip-path:polygon(50% 50%,91.5% 27.5%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(597.85714deg)}25%{clip-path:polygon(50% 50%,83% 12%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(630deg)}25.85733%{clip-path:polygon(50% 50%,91.5% 27.5%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(642.85714deg)}26.57799%{clip-path:polygon(50% 50%,100% 43%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(655.71429deg)}27.19752%{clip-path:polygon(50% 50%,97% 60.5%,97% 60.5%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(668.57143deg)}27.75146%{clip-path:polygon(50% 50%,94% 78%,94% 78%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(681.42857deg)}28.27533%{clip-path:polygon(50% 50%,81% 89%,81% 89%,81% 89%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(694.28571deg)}28.80466%{clip-path:polygon(50% 50%,68% 100%,68% 100%,68% 100%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(707.14286deg)}29.375%{clip-path:polygon(50% 50%,50% 100%,50% 100%,50% 100%,50% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2turn)}30.02187%{clip-path:polygon(50% 50%,32% 100%,32% 100%,32% 100%,32% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(732.85714deg)}30.78079%{clip-path:polygon(50% 50%,19% 89%,19% 89%,19% 89%,19% 89%,19% 89%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(745.71429deg)}31.68732%{clip-path:polygon(50% 50%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(758.57143deg)}32.77697%{clip-path:polygon(50% 50%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,0 43%,17% 12%,33.5% 6%);transform:rotate(771.42857deg)}34.08528%{clip-path:polygon(50% 50%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,17% 12%,33.5% 6%);transform:rotate(784.28571deg)}35.64778%{clip-path:polygon(50% 50%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,17% 12%,33.5% 6%);transform:rotate(797.14286deg)}37.5%{clip-path:polygon(50% 50%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,33.5% 6%);transform:rotate(810deg)}38.35733%{clip-path:polygon(50% 50%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,17% 12%,33.5% 6%);transform:rotate(842.14286deg)}39.07799%{clip-path:polygon(50% 50%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,17% 12%,33.5% 6%);transform:rotate(874.28571deg)}39.69752%{clip-path:polygon(50% 50%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,0 43%,17% 12%,33.5% 6%);transform:rotate(906.42857deg)}40.25146%{clip-path:polygon(50% 50%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(938.57143deg)}40.77533%{clip-path:polygon(50% 50%,19% 89%,19% 89%,19% 89%,19% 89%,19% 89%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(970.71429deg)}41.30466%{clip-path:polygon(50% 50%,32% 100%,32% 100%,32% 100%,32% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1002.85714deg)}41.875%{clip-path:polygon(50% 50%,50% 100%,50% 100%,50% 100%,50% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1035deg)}42.52187%{clip-path:polygon(50% 50%,68% 100%,68% 100%,68% 100%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1067.14286deg)}43.28079%{clip-path:polygon(50% 50%,81% 89%,81% 89%,81% 89%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1099.28571deg)}44.18732%{clip-path:polygon(50% 50%,94% 78%,94% 78%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1131.42857deg)}45.27697%{clip-path:polygon(50% 50%,97% 60.5%,97% 60.5%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1163.57143deg)}46.58528%{clip-path:polygon(50% 50%,100% 43%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1195.71429deg)}48.14778%{clip-path:polygon(50% 50%,91.5% 27.5%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1227.85714deg)}50%{clip-path:polygon(50% 50%,83% 12%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1260deg)}50.85733%{clip-path:polygon(50% 50%,91.5% 27.5%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1272.85714deg)}51.57799%{clip-path:polygon(50% 50%,100% 43%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1285.71429deg)}52.19752%{clip-path:polygon(50% 50%,97% 60.5%,97% 60.5%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1298.57143deg)}52.75146%{clip-path:polygon(50% 50%,94% 78%,94% 78%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1311.42857deg)}53.27533%{clip-path:polygon(50% 50%,81% 89%,81% 89%,81% 89%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1324.28571deg)}53.80466%{clip-path:polygon(50% 50%,68% 100%,68% 100%,68% 100%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1337.14286deg)}54.375%{clip-path:polygon(50% 50%,50% 100%,50% 100%,50% 100%,50% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1350deg)}55.02187%{clip-path:polygon(50% 50%,32% 100%,32% 100%,32% 100%,32% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1362.85714deg)}55.78079%{clip-path:polygon(50% 50%,19% 89%,19% 89%,19% 89%,19% 89%,19% 89%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1375.71429deg)}56.68732%{clip-path:polygon(50% 50%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1388.57143deg)}57.77697%{clip-path:polygon(50% 50%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,0 43%,17% 12%,33.5% 6%);transform:rotate(1401.42857deg)}59.08528%{clip-path:polygon(50% 50%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,17% 12%,33.5% 6%);transform:rotate(1414.28571deg)}60.64778%{clip-path:polygon(50% 50%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,17% 12%,33.5% 6%);transform:rotate(1427.14286deg)}62.5%{clip-path:polygon(50% 50%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,33.5% 6%);transform:rotate(4turn)}63.35733%{clip-path:polygon(50% 50%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,17% 12%,33.5% 6%);transform:rotate(1472.14286deg)}64.07799%{clip-path:polygon(50% 50%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,17% 12%,33.5% 6%);transform:rotate(1504.28571deg)}64.69752%{clip-path:polygon(50% 50%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,0 43%,17% 12%,33.5% 6%);transform:rotate(1536.42857deg)}65.25146%{clip-path:polygon(50% 50%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1568.57143deg)}65.77533%{clip-path:polygon(50% 50%,19% 89%,19% 89%,19% 89%,19% 89%,19% 89%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1600.71429deg)}66.30466%{clip-path:polygon(50% 50%,32% 100%,32% 100%,32% 100%,32% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1632.85714deg)}66.875%{clip-path:polygon(50% 50%,50% 100%,50% 100%,50% 100%,50% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1665deg)}67.52187%{clip-path:polygon(50% 50%,68% 100%,68% 100%,68% 100%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1697.14286deg)}68.28079%{clip-path:polygon(50% 50%,81% 89%,81% 89%,81% 89%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1729.28571deg)}69.18732%{clip-path:polygon(50% 50%,94% 78%,94% 78%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1761.42857deg)}70.27697%{clip-path:polygon(50% 50%,97% 60.5%,97% 60.5%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1793.57143deg)}71.58528%{clip-path:polygon(50% 50%,100% 43%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1825.71429deg)}73.14778%{clip-path:polygon(50% 50%,91.5% 27.5%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1857.85714deg)}75%{clip-path:polygon(50% 50%,83% 12%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1890deg)}75.85733%{clip-path:polygon(50% 50%,91.5% 27.5%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1902.85714deg)}76.57799%{clip-path:polygon(50% 50%,100% 43%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1915.71429deg)}77.19752%{clip-path:polygon(50% 50%,97% 60.5%,97% 60.5%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1928.57143deg)}77.75146%{clip-path:polygon(50% 50%,94% 78%,94% 78%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1941.42857deg)}78.27533%{clip-path:polygon(50% 50%,81% 89%,81% 89%,81% 89%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1954.28571deg)}78.80466%{clip-path:polygon(50% 50%,68% 100%,68% 100%,68% 100%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1967.14286deg)}79.375%{clip-path:polygon(50% 50%,50% 100%,50% 100%,50% 100%,50% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1980deg)}80.02187%{clip-path:polygon(50% 50%,32% 100%,32% 100%,32% 100%,32% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(1992.85714deg)}80.78079%{clip-path:polygon(50% 50%,19% 89%,19% 89%,19% 89%,19% 89%,19% 89%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2005.71429deg)}81.68732%{clip-path:polygon(50% 50%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2018.57143deg)}82.77697%{clip-path:polygon(50% 50%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,0 43%,17% 12%,33.5% 6%);transform:rotate(2031.42857deg)}84.08528%{clip-path:polygon(50% 50%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,17% 12%,33.5% 6%);transform:rotate(2044.28571deg)}85.64778%{clip-path:polygon(50% 50%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,17% 12%,33.5% 6%);transform:rotate(2057.14286deg)}87.5%{clip-path:polygon(50% 50%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,17% 12%,33.5% 6%);transform:rotate(2070deg)}88.35733%{clip-path:polygon(50% 50%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,8.5% 27.5%,17% 12%,33.5% 6%);transform:rotate(2102.14286deg)}89.07799%{clip-path:polygon(50% 50%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,0 43%,17% 12%,33.5% 6%);transform:rotate(2134.28571deg)}89.69752%{clip-path:polygon(50% 50%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,3% 60.5%,0 43%,17% 12%,33.5% 6%);transform:rotate(2166.42857deg)}90.25146%{clip-path:polygon(50% 50%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2198.57143deg)}90.77533%{clip-path:polygon(50% 50%,19% 89%,19% 89%,19% 89%,19% 89%,19% 89%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2230.71429deg)}91.30466%{clip-path:polygon(50% 50%,32% 100%,32% 100%,32% 100%,32% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2262.85714deg)}91.875%{clip-path:polygon(50% 50%,50% 100%,50% 100%,50% 100%,50% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2295deg)}92.52187%{clip-path:polygon(50% 50%,68% 100%,68% 100%,68% 100%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2327.14286deg)}93.28079%{clip-path:polygon(50% 50%,81% 89%,81% 89%,81% 89%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2359.28571deg)}94.18732%{clip-path:polygon(50% 50%,94% 78%,94% 78%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2391.42857deg)}95.27697%{clip-path:polygon(50% 50%,97% 60.5%,97% 60.5%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2423.57143deg)}96.58528%{clip-path:polygon(50% 50%,100% 43%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2455.71429deg)}98.14778%{clip-path:polygon(50% 50%,91.5% 27.5%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(2487.85714deg)}to{clip-path:polygon(50% 50%,83% 12%,100% 43%,94% 78%,68% 100%,32% 100%,6% 78%,0 43%,17% 12%,33.5% 6%);transform:rotate(7turn)}}

.k-spinner--pulse{box-shadow:inset 0 0 1em 0 currentColor;display:inline-flex;font-size:64px;color:#fff;width:1em;height:1em;position:relative}.k-spinner--pulse:after{animation-delay:-1s}.k-spinner--pulse,.k-spinner--pulse:after,.k-spinner--pulse:before{border-radius:50%}.k-spinner--pulse:after,.k-spinner--pulse:before{content:"";background-color:currentColor;position:absolute;top:0;left:0;height:100%;width:100%;opacity:.6;animation-name:k-pulse;animation-duration:2s;animation-iteration-count:infinite;animation-timing-function:ease-in-out}
@keyframes k-pulse{
	0%,
	to{transform:scale(0)}
	50%{transform:scale(1)}
}

.k-spinner--swirl{display:inline-flex;font-size:64px;color:#fff;width:1em;height:1em;position:relative;animation-duration:2s}.k-spinner--swirl:before{top:.05em;right:.05em;bottom:.05em;left:.05em;animation-duration:3s}.k-spinner--swirl:after{top:.135em;right:.135em;bottom:.135em;left:.135em;animation-duration:1.5s}.k-spinner--swirl,.k-spinner--swirl:after,.k-spinner--swirl:before{border:.0333em solid transparent;border-radius:50%;border-top-color:currentColor;animation-name:k-swirl;animation-iteration-count:infinite;animation-timing-function:linear}.k-spinner--swirl:after,.k-spinner--swirl:before{content:"";position:absolute}@keyframes k-swirl{
	0%{transform:rotate(0deg)}
	to{transform:rotate(1turn)}
	}

.k-spinner--signal{color:#fff;font-size:64px;width:1em;height:1em;position:relative}.k-spinner--signal:after{animation-delay:-.625s}.k-spinner--signal:after,.k-spinner--signal:before{content:"";border:3px solid currentColor;border-radius:50%;height:100%;width:100%;position:absolute;animation-name:k-spinner-signal;animation-iteration-count:infinite;animation-duration:1.25s;animation-timing-function:cubic-bezier(0,.2,.8,1)}
@keyframes k-spinner-signal{
	0%{opacity:1;transform:scale(0)},{opacity:.25; transform:scale(50%)}to{opacity:.55;transform:scale(100%)}
	}
	
	
/*############################################################################
@import 'variables';
@import 'sbl-circ';
@import 'sbl-circ-path';
@import 'sbl-circ-dual';
@import 'sbl-circ-ripple';
@import 'sbl-seven-circles';
@import 'sbl-meter';
@import 'sbl-puzzle';
@import 'sbl-pushing-shapes';
@import 'sbl-square-to-circle';
@import 'sbl-rect-spin-fill';
@import 'sbl-dot-slide';
@import 'sbl-cirle-balance'
@import 'sbl-circle-to-rhombus'
@import 'sbl-cirle-and-square'
@import 'sbl-half-circle-spin'
@import 'sbl-sticks-spin'
/*############################################################################*/

.sbl-circ {height: 48px; width: 48px; color: #5a5a5a; position: relative; display: inline-block; border:3px solid; border-radius: 50%; border-top-color: transparent; animation: rotate 1s linear infinite; }
@keyframes rotate {
  0% {
    transform: rotate(0); }
  100% {
    transform: rotate(360deg); } }

.sbl-circ-path {
  height: 48px;
  width: 48px;
  color: rgba(90, 90, 90, 0.2);
  position: relative;
  display: inline-block;
  border: 5px solid;
  border-radius: 50%;
  border-right-color: #5a5a5a;
  animation: rotate 1s linear infinite; }

@keyframes rotate {
  0% {
    transform: rotate(0); }
  100% {
    transform: rotate(360deg); } }

.sbl-circ-dual {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  display: inline-block;
  position: relative;
  border: 5px solid;
  border-radius: 50%;
  border-top-color: transparent;
  animation: rotate 1s linear infinite; }
  .sbl-circ-dual::after {
    content: '';
    height: 40%;
    width: 40%;
    display: block;
    color: inherit;
    margin: 10px auto;
    position: relative;
    border: 5px solid;
    border-radius: 50%;
    border-top-color: transparent;
    animation: rotate .5s linear infinite reverse; }

@keyframes rotate {
  0% {
    transform: rotate(0); }
  100% {
    transform: rotate(360deg); } }

.sbl-circ-ripple {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  border-radius: 50%;
  position: relative;
  display: inline-block; }
  .sbl-circ-ripple::after, .sbl-circ-ripple::before {
    content: '';
    height: 0;
    width: 0;
    border: inherit;
    border: 5px solid;
    border-radius: inherit;
    position: absolute;
    left: 40%;
    top: 40%;
    animation: circle-ripple  1s linear infinite; }
  .sbl-circ-ripple::before {
    animation-delay: -0.5s; }

@keyframes circle-ripple {
  0% {
    height: 0;
    width: 0;
    left: 20px;
    top: 20px; }
  100% {
    height: 48px;
    width: 48px;
    left: -5px;
    top: -5px;
    opacity: 0; } }

.sbl-seven-circles {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  position: relative;
  animation: rotate 1s linear infinite;
  display: inline-block; }
  .sbl-seven-circles div {
    height: 50%;
    width: 50%;
    border-radius: 50%;
    border: 1px solid;
    position: absolute; }
    .sbl-seven-circles div:nth-child(1) {
      top: 10%;
      left: 5%; }
    .sbl-seven-circles div:nth-child(2) {
      top: 0;
      left: 25%; }
    .sbl-seven-circles div:nth-child(3) {
      top: 10%;
      right: 5%; }
    .sbl-seven-circles div:nth-child(4) {
      top: 0;
      left: 0;
      right: 0;
      bottom: 0;
      margin: auto; }
    .sbl-seven-circles div:nth-child(5) {
      bottom: 0;
      left: 25%; }
    .sbl-seven-circles div:nth-child(6) {
      bottom: 10%;
      left: 5%; }
    .sbl-seven-circles div:nth-child(7) {
      bottom: 10%;
      right: 5%; }

@keyframes rotate {
  0% {
    transform: rotate(0); }
  100% {
    transform: rotate(360deg); } }

.sbl-meter {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  border-radius: 50%;
  border: 5px solid;
  position: relative;
  display: inline-block; }
  .sbl-meter::after {
    content: '';
    height: 25%;
    width: 0;
    border-radius: 5px;
    border: 3px solid;
    display: block;
    color: inherit;
    position: absolute;
    left: 22px;
    top: 5px;
    transform-origin: bottom;
    animation: rotate 1s linear infinite; }

@keyframes rotate {
  0% {
    transform: rotate(0); }
  100% {
    transform: rotate(360deg); } }

.sbl-puzzle {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  position: relative;
  display: inline-block; }
  .sbl-puzzle div {
    border-radius: 50%;
    position: absolute;
    margin: auto;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border: 3px solid;
    border-top-color: transparent;
    border-bottom-color: transparent;
    animation: rotateTest1 4s linear infinite;
    box-sizing: border-box; }
  .sbl-puzzle div:nth-child(1) {
    height: 20%;
    width: 20%;
    animation-delay: 0.5s; }
  .sbl-puzzle div:nth-child(2) {
    height: 40%;
    width: 40%;
    animation-delay: 1s; }
  .sbl-puzzle div:nth-child(3) {
    height: 60%;
    width: 60%;
    animation-delay: 1.5s; }
  .sbl-puzzle div:nth-child(4) {
    height: 80%;
    width: 80%;
    animation-delay: 2s; }
  .sbl-puzzle div:nth-child(5) {
    height: 100%;
    width: 100%;
    animation-delay: 2.5s; }

@keyframes rotateTest1 {
  50% {
    transform: rotate(360deg); } }

.sbl-pushing-shapes {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  position: relative;
  display: inline-block;
  overflow: hidden;
  box-sizing: border-box;
  animation: rotate 3s ease-in-out infinite; }
  .sbl-pushing-shapes div {
    color: inherit;
    height: 24px;
    width: 24px;
    position: absolute;
    left: 60px;
    top: 12px;
    box-sizing: border-box;
    border: 3px solid;
    animation: moving-shapes 2s linear infinite; }
    .sbl-pushing-shapes div:nth-child(1) {
      border-radius: 50%;
      animation-delay: 0s; }
    .sbl-pushing-shapes div:nth-child(2) {
      transform: rotate(45deg);
      animation-delay: 1s; }

@keyframes moving-shapes {
  0% {left: 60px; }
  50% {left: 5px; }
  60% {left: 12px; transform: rotate(135deg); }
  70% {left: 17px; }
  100% {left: -24px; }
 }

@keyframes rotate {
  0% {
    transform: rotate(0); }
  100% {
    transform: rotate(360deg); } }

.sbl-square-to-circle {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  position: relative;
  display: inline-block;
  animation: rotateSquareToCircle 3s ease infinite; }
  .sbl-square-to-circle div {
    height: 0;
    width: 0;
    box-sizing: border-box;
    border: 5px solid;
    position: absolute;
    top: 40%; }
    .sbl-square-to-circle div:nth-child(1) {
      left: 0;
      animation: moveRight 2s ease infinite; }
    .sbl-square-to-circle div:nth-child(2) {
      left: 0;
      right: 0;
      margin: auto;
      border-radius: 50%;
      animation: toCircle 2s ease infinite; }
    .sbl-square-to-circle div:nth-child(3) {
      right: 0;
      animation: moveLeft 2s ease infinite; }

@keyframes moveLeft {
  25% {
    transform: translateX(-19px); }
  50% {
    transform: translateX(0); }
  75% {
    transform: translateX(-19px);
    border-radius: 50%; } }

@keyframes moveRight {
  25% {
    transform: translateX(19px); }
  50% {
    transform: translateX(0); }
  75% {
    transform: translateX(19px);
    border-radius: 50%; } }

@keyframes toCircle {
  50% {
    border-radius: 0%; } }

@keyframes rotateSquareToCircle {
  50% {
    transform: rotate(-270deg); } }

.sbl-rect-spin-fill {
  color: #5a5a5a;
  height: 48px;
  width: 48px;
  position: relative;
  border: 4px solid;
  display: inline-block;
  animation: rect-rotate 1s  linear infinite; }

.sbl-rect-spin-fill::after {
  content: '';
  height: 0;
  width: inherit;
  display: block;
  background: rgba(90, 90, 90, 0.5);
  animation: fill-rect 1s linear infinite; }

@keyframes rect-rotate {
  0% {
    transform: rotate(0); }
  50%, 100% {
    transform: rotate(180deg); } }

@keyframes fill-rect {
  0%, 50% {
    height: 0; }
  100% {
    height: inherit; } }

.sbl-dot-slide {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  display: inline-block;
  position: relative;
  border: 2px solid;
  animation: rotate-dot-panel 4s 0.5s cubic-bezier(0.25, 0.46, 0.61, 0.4) infinite; }
  .sbl-dot-slide::before, .sbl-dot-slide::after {
    content: '';
    position: absolute;
    color: inherit; }
  .sbl-dot-slide::before {
    height: 40%;
    width: 40%;
    border: inherit;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    margin: auto; }
  .sbl-dot-slide::after {
    height: 0;
    width: 0;
    border: 5px solid;
    border-radius: 50%;
    bottom: 0px;
    left: 0;
    margin: 1px;
    animation: move-dot 4s ease infinite; }

@keyframes rotate-dot-panel {
  0% {transform: rotate(0); }
  25% {transform: rotate(90deg); }
  50% {transform: rotate(180deg); }
  75% {transform: rotate(270deg); }
  100% {transform: rotate(360deg); }
 }

@keyframes move-dot {
  0%, 100% {left: 0; top: 0; }
  25% {left: 0; top: 75%; }
  50% {left: 75%; top: 75%; }
  75% {left: 75%; top: 0%; }
}

.sbl-cirle-balance {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  display: inline-block;
  position: relative;
  border: 3px solid;
  border-radius: 50%;
  border-top-color: transparent;
  border-left-color: transparent;
  transform: rotate(45deg);
  animation: tilt-half-circle 2s linear infinite; }
  .sbl-cirle-balance::before, .sbl-cirle-balance::after {
    content: '';
    height: 0;
    width: 0%;
    color: inherit;
    border-radius: 50%;
    border: 7px solid;
    display: block;
    position: absolute; }
  .sbl-cirle-balance::before {
    left: 25px;
    bottom: 1px;
    animation: move-circle-left 2s linear infinite; }
  .sbl-cirle-balance::after {
    right: 5px;
    bottom: 5px;
    animation: move-circle-right 2s linear infinite; }

@keyframes move-circle-left {
  0%, 100% {
    left: 5px;
    bottom: 5px; }
  20%, 85% {
    left: 15px;
    bottom: 0px; }
  35%, 70% {
    left: 30px;
    bottom: 7px; } }

@keyframes move-circle-right {
  0%, 20%, 100% {
    right: 5px;
    bottom: 5px; }
  40%, 80% {
    right: 0px;
    bottom: 15px; }
  50% {
    right: 5px;
    bottom: 30px; } }

@keyframes tilt-half-circle {
  0%, 50%, 100% {
    transform: rotate(45deg); }
  25% {
    transform: rotate(15deg); }
  75% {
    transform: rotate(75deg); } }

.sbl-cirle-to-rhombus {
  height: 12px;
  width: 12px;
  color: #5a5a5a;
  position: relative;
  display: inline-block;
  border: 5px solid;
  border-radius: 50%;
  transform: rotate(45deg);
  animation: cirle-to-rhombus 1.5s  .66s ease-in-out infinite; }
  .sbl-cirle-to-rhombus::before, .sbl-cirle-to-rhombus::after {
    content: '';
    height: inherit;
    width: inherit;
    border: 5px solid;
    position: absolute;
    border-radius: 50%;
    top: -5px;
    animation: cirle-to-rhombus 1.5s ease-in-out infinite; }
  .sbl-cirle-to-rhombus::before {
    left: -30px;
    top: 20px;
    animation-delay: .33s; }
  .sbl-cirle-to-rhombus::after {
    right: -30px;
    top: -30px;
    animation-delay: .99s; }

@keyframes cirle-to-rhombus {
  50% {
    border-radius: 0; } }

.sbl-cirle-and-square {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  display: inline-block;
  position: relative; }
  .sbl-cirle-and-square div {
    display: inline-block;
    color: inherit;
    border: 2px solid;
    height: 20%;
    width: 20%;
    margin: 4px; }
    .sbl-cirle-and-square div:nth-child(1) {
      animation: moveTopLt 1s   ease-in-out infinite; }
    .sbl-cirle-and-square div:nth-child(2) {
      border-radius: 50%;
      animation: moveTopRt 1s .5s ease-in-out infinite; }
    .sbl-cirle-and-square div:nth-child(3) {
      border-radius: 50%;
      animation: moveBtLt 1s  .5s ease-in-out infinite; }
    .sbl-cirle-and-square div:nth-child(4) {
      animation: moveBtRt 1s ease-in-out infinite; }

@keyframes moveTopLt {
  50% {
    transform: translate(13px, 13px); } }

@keyframes moveBtLt {
  50% {
    transform: translate(13px, -13px); } }

@keyframes moveBtRt {
  50% {
    transform: translate(-13px, -13px); } }

@keyframes moveTopRt {
  50% {
    transform: translate(-13px, 13px); } }

.sbl-half-circle-spin {
  height: 48px;
  width: 48px;
  color: #5a5a5a;
  display: inline-block;
  position: relative;
  border: 1px solid;
  border-radius: 50%;
  animation: animeCircleSpin 4s ease-in-out infinite reverse; }
  .sbl-half-circle-spin::after {
    content: '';
    border: 4px solid;
    position: absolute;
    left: 10px;
    top: 4px;
    border-radius: inherit; }
  .sbl-half-circle-spin div {
    height: 50%;
    width: 50%;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    margin: auto;
    border: 1px solid;
    border-radius: 50%;
    animation: animeCircleSpin 3s ease-in-out infinite; }
    .sbl-half-circle-spin div::before {
      height: 0;
      width: 0;
      content: '';
      border-radius: 50%;
      display: block; }
    .sbl-half-circle-spin div::before {
      border: 12px solid;
      border-right-color: transparent;
      border-bottom-color: transparent;
      transform: rotate(-45deg); }

@keyframes animeCircleSpin {
  0% {
    transform: rotate(0); }
  50% {
    transform: rotate(720deg); }
  100% {
    transform: rotate(0); } }

.sbl-sticks-spin {
  height: 48px;
  width: 4px;
  background: #5a5a5a;
  position: relative;
  display: inline-block;
  border-radius: 5px;
  animation: animateSticks1 3s ease infinite; }
  .sbl-sticks-spin::before, .sbl-sticks-spin::after {
    height: inherit;
    width: inherit;
    content: '';
    display: block;
    background: inherit;
    position: absolute;
    border-radius: 4px; }
  .sbl-sticks-spin::before {
    left: 0;
    animation: animateSticks2 1s .5s ease infinite; }
  .sbl-sticks-spin::after {
    right: 0;
    animation: animateSticks3 1s 1s ease infinite; }

@keyframes animateSticks1 {
  0% {transform: rotate(0deg); }
  25% {transform: rotate(-90deg); }
  50% {transform: rotate(180deg); }
  75% {transform: rotate(90deg); }
  100% {transform: rotate(0); }
}

@keyframes animateSticks2 {
  0% {transform: rotate(0deg); }
  50%, 100% {transform: rotate(55deg); }
 }

@keyframes animateSticks3 {
  0% {transform: rotate(0deg); }
  50%, 100% {transform: rotate(115deg);}
}

@keyframes rotate {
  0% {transform: rotate(0); }
  100% {transform: rotate(360deg); }
}
